package org.etsi.its.tool.elvior;

import org.etsi.ttcn.tci.Type;
import org.etsi.ttcn.tci.Value;
import org.etsi.ttcn.tri.TriMessage;


/**
 * 
 * Note that "Enable Internal Codec" field shall be set to true
 *
 */
public class LibItsIvim_asn1 extends LibIts_asn1 {
    
    /**
     * Constructor
     */
    public LibItsIvim_asn1() {
        _logger.entering("LibItsIvim_asn1", "LibItsIvim_asn1");
        _encodingName = "IVIM_PDU_Descriptions";
    }
    
    @Override
    public Value decode(final TriMessage message, final Type decodingHypothesis) {
        _logger.entering("LibItsIvim_asn1", "decode", decodingHypothesis.getName());
        
        if (decodingHypothesis.getName().endsWith("ivimPacket")) {
            Type type = getTypeForName("IVIM_PDU_Descriptions.IVIM");
            return super.decode(message, type);
        }
        
        return super.decode(message, decodingHypothesis);
    }
    
} // End of class LibItsIvim_asn1 
